﻿@model AirlineViewModel

@section Scripts {
            <script>
                window.onload = function() {
                    CheckItemsCount();
                };

                window.onscroll = function() {scrollFunction()};
            </script>
}

<section class="nav">
    <nav>
        <ul>
            <li><a asp-area="" asp-controller="Home" asp-action="Index"><img src="~/images/left sidebar.png" alt="Airline" /></a></li>
        </ul>
    </nav>
</section>

<section class="page-content">

    <h2>Airlines</h2>

    <div class="line"></div>

    <section class="search-restore-form">
        <!-- Search form -->
        <partial name="_SearchForm" model="Model.SearchTerm" />

        <!-- Button to restore -->
        <form method="get" asp-action="Index">
            <button type="submit" class="btn btn-primary" class="restore-button">Restore All Airports</button>
        </form>
    </section>

    <!-- Filter form -->
    <partial name="_FilterForm" />

    
    @if (Model.Airlines != null)
    {
        <div id="table-form" class="table-form">
            <!-- Pagination -->
            @if (TempData["TotalPages"] != null)
            {
                int totalPages = Convert.ToInt32(TempData["TotalPages"]);
                int currentPage = Model.PageNumber; 

                <div class="pagination">

                    <!-- Button for previous page -->
                    @if (currentPage > 1)
                    {
                        <form method="get" asp-action="Index">
                            <input type="hidden" name="PageNumber" value="@(currentPage - 1)" />
                            <button type="submit">Previous</button>
                        </form>
                    }

                    @for (int i = 1; i <= totalPages; i++)
                    {
                        <form method="get" asp-action="Index">
                            <input type="hidden" name="PageNumber" value="@i" />
                            <button type="submit" name="PageNumber" value="@i">@i</button>
                        </form>
                    }

                    <!-- Button for next page -->
                    @if (currentPage < totalPages)
                    {
                        <form method="get" asp-action="Index">
                            <input type="hidden" name="PageNumber" value="@(currentPage + 1)" />
                            <button type="submit">Next</button>
                        </form>
                    }
                
                </div>
            }

            <!-- Table to present existing Airlines -->
            <table id="table">
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Founded</th>
                        <th>Fleet Size</th>
                        <th>Description</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach (var airline in Model.Airlines)
                    {
                        <tr>
                            <td>@airline.Name</td>
                            <td>@airline.Founded</td>
                            <td>@airline.FleetSize</td>
                            <td class="description">@airline.Description</td>
                        </tr>
                    }
                </tbody>
            </table>
        </div>
    }
    else
    {
        <p>No airlines available.</p>
    }

    <button id="showHideTableButton" class="show-form-button">Table</button>

    <!-- Form to create new Airline -->
    <section class="form">
        <form method="post" action="Airlines/Create">
            <fieldset>
                <legend>Add New Airline</legend>
                <p id="demo" class="demo"></p>
                <div>
                    <label asp-for="NewAirline.Name"></label>
                    <input asp-for="NewAirline.Name" id="airline-name" oninput="validateAirlineAndEnableButton()"/>
                    <span asp-validation-for="NewAirline.Name" class="text-danger"></span>
                </div>
                <div>
                    <label asp-for="NewAirline.Founded"></label>
                    <input asp-for="NewAirline.Founded" type="date" id="airline-founded" oninput="validateAirlineAndEnableButton()"/>
                    <span asp-validation-for="NewAirline.Founded" class="text-danger"></span>
                </div>
                <div>
                    <label asp-for="NewAirline.FleetSize"></label>
                    <input asp-for="NewAirline.FleetSize" type="number" id="airline-fleetSize" oninput="validateAirlineAndEnableButton()"/>
                    <span asp-validation-for="NewAirline.FleetSize" class="text-danger"></span>
                </div>
                <div>
                    <label asp-for="NewAirline.Description"></label>
                    <input asp-for="NewAirline.Description" id="airline-description" oninput="validateAirlineAndEnableButton()"/>
                    <span asp-validation-for="NewAirline.Description" class="text-danger"></span>
                </div>
                <button type="submit" class="submit-button" id="submit-button" disabled>Add Airline</button>
            </fieldset>
        </form>
    </section>

    <button id="go-up-button" class="hidden">Go Up</button>

</section>

